Bug 1711647 - Anki doesn't start because of missing "sip" module
Summary: Anki doesn't start because of missing "sip" module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anki
Version: 30
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Drake-Brockman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1612847
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-19 09:43 UTC by Marcel
Modified: 2019-07-06 10:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-06 10:52:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Marcel 2019-05-19 09:43:10 UTC
Description of problem:
After installing Anki on a fresh system the program refuses to start. When trying to open the program from the terminal it reads:

Traceback (most recent call last):
  File "/usr/bin/anki", line 5, in <module>
    import aqt
  File "/usr/share/anki/aqt/__init__.py", line 12, in <module>
    from aqt.qt import *
  File "/usr/share/anki/aqt/qt.py", line 7, in <module>
    import sip
ImportError: No module named sip

Version-Release number of selected component (if applicable):
anki-2.0.52-3.fc30

How reproducible:
Just install the software on a fresh Fedora 30 instance.

Steps to Reproduce:
1. Install Anki on a fresh system (so the module wasn't installed manually before)
2. Try to start Anki

Actual results:
Anki does not start.


Expected results:
Anki should start.

Additional info:

Comment 1 Fedora Update System 2019-06-07 10:12:53 UTC
FEDORA-2019-d45f5e8729 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d45f5e8729

Comment 2 Fedora Update System 2019-06-07 10:13:54 UTC
FEDORA-2019-5778ae630c has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5778ae630c

Comment 3 Fedora Update System 2019-06-08 00:51:03 UTC
anki-2.1.13-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d45f5e8729

Comment 4 Fedora Update System 2019-06-08 03:00:34 UTC
anki-2.1.13-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5778ae630c

Comment 5 Fedora Update System 2019-06-17 18:27:51 UTC
anki-2.1.13-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2019-06-17 23:33:20 UTC
anki-2.1.13-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.